Discussions

Expand all | Collapse all

Error is occured about Importer.cpp

  • 1.  Error is occured about Importer.cpp

    Posted 02-25-2019 18:13


    This error is occured.
    So, I changed code 'GetLayers()' to 'GetLayer()', but it's not solved.
    How can i fixed?
    #Core

    ------------------------------
    Jeon Woohyuck
    [[Unknown]]
    ------------------------------


  • 2.  RE: Error is occured about Importer.cpp

    OmniSci Employee
    Posted 03-01-2019 11:13
    Hi @Jeon Woohyuck -

    It appears that this is the same issue we've identified here: https://github.com/omnisci/mapd-core/issues/323

    The problem is that the version of GDAL is too old; GDAL 2.3+ have the function that we are using. Until we patch up the issue identified in the -core GitHub issue, you can fix this by updating GDAL:

    https://mothergeo-py.readthedocs.io/en/latest/development/how-to/gdal-ubuntu-pkg.html

    Best,
    Randy

    ------------------------------
    Randy Zwitch
    Senior Director of Developer Advocacy
    OmniSci
    Philadelphia PA
    ------------------------------



  • 3.  RE: Error is occured about Importer.cpp

    Posted 03-04-2019 03:09
    Hmm...It's version 2.2.3, but it seems to have been resolved by accident.
    I don't know exactly why.
    But I think I've been successfully built.
    Thank you. lol!!

    ------------------------------
    Jeon Woohyuck
    [[Unknown]]
    ------------------------------